%define upstream_name    App-Asciio
%define upstream_version 1.51.3

%{?perl_default_filter}
%global __requires_exclude perl\\(App::Asciio::.*\\)  

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Plain ASCII diagram
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Clone)
BuildRequires:  perl(Data::TreeDumper)
BuildRequires:  perl(Data::TreeDumper::Renderer::GTK)
BuildRequires:  perl(Directory::Scratch)
BuildRequires:  perl(Directory::Scratch::Structured)
BuildRequires:  perl(Data::Compare)
BuildRequires:  perl(Eval::Context)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:	perl(Module::Build)
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl(Test::Block)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Test::Strict)
BuildRequires:  perl(Term::Size)

BuildArch:  noarch


%description
This gtk2-perl application allows you to draw ASCII diagrams in a modern (but
simple) graphical application. The ASCII graphs can be saved as ASCII or in a
format that allows you to modify them later.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build

%check
# test don't run, even with xvfb-run
# xvfb-run ./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Todo.txt Changes META.yml
%{_mandir}/man3/*
%{_bindir}/*
%{perl_vendorlib}/App


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.51.3-7.mga9
+ Revision: 1808260
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.51.3-6.mga8
+ Revision: 1503455
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.51.3-5.mga7
+ Revision: 1281614
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.51.3-4.mga7
+ Revision: 1162988
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 1.51.3-3.mga6
+ Revision: 1022533
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.51.3-2.mga6
+ Revision: 968276
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.51.3-1.mga6
+ Revision: 851881
- update to 1.51.3

* Wed Oct 15 2014 umeabot <umeabot> 1.2.71-16.mga5
+ Revision: 744988
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%perl_default_filter
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Thu Mar 20 2014 jquelin <jquelin> 1.2.71-13.mga5
+ Revision: 606077
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.71-12.mga4
+ Revision: 525751
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 jquelin <jquelin> 1.2.71-11.mga4
+ Revision: 434466
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 1.2.71-10.mga3
+ Revision: 403807
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.71-9.mga3
+ Revision: 363051
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.2.71-8.mga3
+ Revision: 314904
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 1.2.71-7.mga3
+ Revision: 283531
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 1.2.71-6.mga3
+ Revision: 254193
- fix shebang with new perl 5.16 path

* Fri Oct 14 2011 jquelin <jquelin> 1.2.71-5.mga2
+ Revision: 155123
- perl 5.14.2 rebuild

* Sun Jun 19 2011 jquelin <jquelin> 1.2.71-4.mga2
+ Revision: 109881
- rebuild script for perl 5.14.1

* Tue Jan 25 2011 jquelin <jquelin> 1.2.71-3.mga1
+ Revision: 38470
- mageia rebuild
- imported package perl-App-Asciio


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.2.71-3mdv2010.1
+ Revision: 504569
- bump mkrel
- rebuild using %%perl_convert_version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Feb 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.02.71-2mdv2009.1
+ Revision: 344557
- fix dependencies

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.02.71-1mdv2009.1
+ Revision: 343971
- import perl-App-Asciio


* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.02.71-1mdv2009.1
- first mdv release 
